/*
 * Copyright 2004-2005 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id$ */

package org.apache.fop.render.rtf.rtflib.rtfdoc;

import java.io.IOException;
import java.io.Writer;

/**
 * Represents a generator element which says who generated the RTF document.
 */
public class RtfGenerator extends RtfElement {

    /** Default constructor for the generator element. */
    public RtfGenerator(RtfHeader h, Writer w) throws IOException {
        super(h, w);
    }
    
    /**
     * @see org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement#writeRtfContent()
     */
    protected void writeRtfContent() throws IOException {
        newLine();
        writeGroupMark(true);
        writeStarControlWord("generator");
        writer.write("Apache XML Graphics RTF Library");
        writer.write(";");
        writeGroupMark(false);
    }

    /**
     * @see org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement#isEmpty()
     */
    public boolean isEmpty() {
        return false;
    }

}
